EXPAND(1)

NAME
expand - convert tabs to spaces

SYNOPSIS
expand [-tab1[,tab2[,...]]] [-t tab1[,tab2[,...]]] [-i] [--tabs=tab1[,tab2[,...]]] [--initial] [--help] [--version] [file...]

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of expand. expand writes the contents of each given file, or the standard input if none are given or when a file named `-' is given, to the standard output, with tab characters converted to the appropriate number of spaces. By default, expand converts all tabs to spaces. It preserves backspace characters in the output; they decrement the column count for tab calculations. The default action is equivalent to -8 (set tabs every 8 columns).

  OPTIONS

-, -t, --tabs tab1[,tab2[,...]]
    If only one tab stop is given, set the tabs tab1 spaces apart instead of the default 8. Otherwise, set the tabs at columns tab1, tab2, etc. (numbered from 0) and replace any tabs beyond the tabstops given with single spaces. If the tabstops are specified with the -t or --tabs option, they can be separated by blanks as well as by commas.

-i, --initial
    Only convert initial tabs (those that precede all non space or tab characters) on each line to spaces.

--help
    Print a usage message and exit with a status code indicating success.

--version
    Print version information on standard output then exit.